 function scores = MOcluster_fitness(x,distM)

scores = zeros(size(x,1),1);




for numchrom = 1:size(x,1)
  
    CC=decodenew(x(numchrom,:));
    scores(numchrom,1)=computeUnifiedDistance(CC,distM);
end

function sim = computeUnifiedDistance(CC, distM)       
         sim=double(0);
         nc=size(CC,2); %number of communities
         for k=1:nc  % for each community                                 
            listnodes=CC{k};
            ns= size(listnodes,2);% number of nodes within the community   
                    p_sim=0;
                    sim2=0;
                    for i=1:ns-1
                        
                        index=i+1;
                        while(index<=ns)
                            n2=listnodes(1,index);
                            
                            undist=distM(i,n2);
                            p_sim=p_sim+undist;
                            index=index+1;
                        end
                        sim2=sim2+p_sim;
                    end
                    simCC=sim2/nc;    
          sim=sim+simCC;       
         end
         %sim
    end




 end
