function pop = create_population(NVARS,FitnessFcn,options,bestNeig,Neighbor)
%CREATE_POPULATION Creates a population of chromosome.
%   
%
totalPopulationSize = sum(options.PopulationSize);
pop = zeros(totalPopulationSize,NVARS);
rand('twister',sum(1000*clock));
for i = 1:totalPopulationSize
    
    chrom = fix(NVARS*rand(NVARS,1))+1;
    for k=1:NVARS
        position=bestNeig(k);
       
        chrom(k)= Neighbor{k}(position);
    end
    
   
    pop(i,:) = chrom;
end
end