function xoverKids  = crossover_cluster(parents,options,NVARS, ...
    FitnessFcn,thisScore,thisPopulation,M)

nKids = length(parents)/2;
xoverKids = zeros(nKids,NVARS);

index = 1;

for i=1:nKids
    % get parents
   
    r1 = thisPopulation(parents(index),:);
    
    index = index + 1;
    r2 = thisPopulation(parents(index),:);
   
 
    index = index + 1;
    
    
    for j = 1:size(r1,2)
        prob=rand;
        if(prob > 0.5)
            child(1,j) = r1(1,j);
        else
           child(1,j) = r2(1, j);
        end
    end
    
    
    xoverKids(i,:) = avoidSingleton(child,M,NVARS); 
    
end

end

function rC = avoidSingleton(cromosoma,M,NVARS)
    for j=1:NVARS
        if (j ==cromosoma(j))

            k=1;
            esiste=0;
            while (esiste ==0 & k <= NVARS)
                if (cromosoma(k) == j)
                    esiste=1;
                end
                k=k+1;
                end
            if (esiste == 0) 
                k=1;
            while (M(j,k) == 0)
                k=k+1;
            end
            cromosoma(j)=k; 
            end
         end
    
    end
    rC=cromosoma;
end